@props(['device'])
<div>
    <a href="/devices/{{ $device['device_id'] }}">{{ $device->title }}</a>
    <ul>
        <li>{{ $device['device_id'] }}</li>
        <li>{{ $device['title'] }}</li>
        <li>{{ $device['device_type'] }}</li>
        <li>{{ $device['description'] }}</li>
        <li>{{ $device['accessories'] }}</li>
        <li>{{ $device['rz_username_buyer'] }}</li>
        <li>{{ $device['serial_number'] }}</li>
        <li>{{ $device['image_url'] }}</li>
    </ul>
    <x-purchasing-information :device="$device" />
    @php
        $locationTransactions = $device->locations;
        $ownerTransactins = $device->owners;
    @endphp
    @foreach ($locationTransactions as $location)
        <x-location-transaction :location="$location" />
    @endforeach
    @foreach ($ownerTransactins as $owner)
        <x-owner-transaction :owner="$owner" />
    @endforeach
</div>
